Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetLoginEmailAddress

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.EmailAddressAuthenticationCodeInfo>
it.tdlight.jni.TdApi.SetLoginEmailAddress

Enclosing class:
  TdApi

public static final class TdApi.SetLoginEmailAddress extends TdApi.Function<TdApi.EmailAddressAuthenticationCodeInfo>
Changes the login email address of the user. The email address can be changed only if the current user already has login email and passwordState.loginEmailAddressPattern is non-empty. The change will not be applied until the new login email address is confirmed with checkLoginEmailAddressCode. To use Apple ID/Google ID instead of a email address, call checkLoginEmailAddressCode directly.

Returns `EmailAddressAuthenticationCodeInfo`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`newLoginEmailAddress`
New login email address.

## Constructor Summary

Constructors
Constructor
Description
`SetLoginEmailAddress()`
Changes the login email address of the user.
`SetLoginEmailAddress(DataInput input)`
Changes the login email address of the user.
`SetLoginEmailAddress(String newLoginEmailAddress)`
Changes the login email address of the user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### newLoginEmailAddress

public String newLoginEmailAddress
New login email address.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SetLoginEmailAddress

public SetLoginEmailAddress()
Changes the login email address of the user. The email address can be changed only if the current user already has login email and passwordState.loginEmailAddressPattern is non-empty. The change will not be applied until the new login email address is confirmed with checkLoginEmailAddressCode. To use Apple ID/Google ID instead of a email address, call checkLoginEmailAddressCode directly.

Returns `EmailAddressAuthenticationCodeInfo`

### SetLoginEmailAddress

public SetLoginEmailAddress(String newLoginEmailAddress)
Changes the login email address of the user. The email address can be changed only if the current user already has login email and passwordState.loginEmailAddressPattern is non-empty. The change will not be applied until the new login email address is confirmed with checkLoginEmailAddressCode. To use Apple ID/Google ID instead of a email address, call checkLoginEmailAddressCode directly.

Returns `EmailAddressAuthenticationCodeInfo`

Parameters:
  `newLoginEmailAddress` - New login email address.

  Returns `EmailAddressAuthenticationCodeInfo`

### SetLoginEmailAddress

public SetLoginEmailAddress(DataInput input) throws IOException
Changes the login email address of the user. The email address can be changed only if the current user already has login email and passwordState.loginEmailAddressPattern is non-empty. The change will not be applied until the new login email address is confirmed with checkLoginEmailAddressCode. To use Apple ID/Google ID instead of a email address, call checkLoginEmailAddressCode directly.

Returns `EmailAddressAuthenticationCodeInfo`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`